import streamlit as st
import pandas as pd
import numpy as np
import time

st.title('我的 Streamlit 應用程式')
st.subheader('YOLO 物體偵測介面')

# 初始聊天內容
with st.chat_message('user'):
    st.write('Hi! 請問你是誰')

message = st.chat_message('assistant')
message.write('你好! LLM 可以回答你各種問題...')
message.write('請問我有什麼可以幫助你的嗎?')

# 顯示一個聊天輸入框，提示使用者輸入訊息
user_input = st.chat_input('請輸入聊天訊息...?')

# 如果使用者有輸入訊息（也就是 user_input 不是 None）
if user_input:
    # 在聊天室中以「使用者」的身分顯示剛剛輸入的內容
    with st.chat_message('user'):
        st.write(user_input)
    
    # 接著由「助理」回應使用者的訊息
    message = st.chat_message('assistant')
    message.write('你剛剛說的是：' + user_input)